> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List RSS feed imports

> Lists RSS feed imports configured for a project.



## OpenAPI

````yaml get /projects/{project_id}/integrations/rss_importer/feeds
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/integrations/rss_importer/feeds:
    parameters:
      - name: project_id
        in: path
        description: The numeric ID of your project
        required: true
        schema:
          type: string
    get:
      tags:
        - RSS feed importer
      summary: List RSS feed imports
      description: Lists RSS feed imports configured for a project.
      operationId: rss_importer/feed#index
      parameters:
        - name: filter[feed_url]
          in: query
          required: false
          description: The partial feed_url to filter by
          schema:
            type: string
        - name: pagination[limit]
          in: query
          required: false
          description: '''limit'' sets the number of results to return in each page.'
          schema:
            type: integer
        - name: pagination[offset]
          in: query
          required: false
          description: >-
            'offset' sets the first position to return from the results of the
            query. The default is 0, which starts the page at the first result.
          schema:
            type: integer
      responses:
        '200':
          description: OK
          headers:
            X-BeyondWords-Filter:
              description: The filters fields applied (if any).
              schema:
                type: string
              required: false
            X-Pagination-Limit:
              description: |-
                The requested number of results to be returned for this request.
                          The actual number of results returned may be lower.
              schema:
                type: integer
              required: false
            X-Pagination-OffSet:
              description: >-
                The position of the first result in the response (before
                pagination was applied).
              schema:
                type: integer
              required: false
            X-Pagination-Total-Count:
              description: >-
                The total number of results returned for this query (before
                pagination was applied).
              schema:
                type: integer
              required: false
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/rssImporterFeedsExample'
              schema:
                $ref: '#/components/schemas/rssImporterFeedsModel'
        '401':
          description: Invalid authentication token
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/unauthorizedErrorExample'
              schema:
                $ref: '#/components/schemas/errorModel'
      security:
        - apiKey: []
components:
  examples:
    rssImporterFeedsExample:
      summary: A sample RSS feeds
      value:
        - id: 1
          enabled: true
          feed_url: https://beyondwords.io/rss.xml
          feed_content_type: xml
          feed_headers:
            Authorization: Bearer token
          import_interval: 10
          extractor_enabled: true
          map:
            title:
              - title
            body:
              - content
            summary:
              - description
            source_id: guid
            source_url: link
            author: author
            metadata: meta
            image_url: media
            publish_date: pubDate
          last_import: 2020-01-09 22:18:26 UTC
          created: 2019-12-09 22:18:26 UTC
          updated: 2020-01-23 08:55:38 UTC
    unauthorizedErrorExample:
      summary: Unauthorized error
      value:
        code: 401
        message: Unauthorized
  schemas:
    rssImporterFeedsModel:
      type: array
      items:
        $ref: '#/components/schemas/rssImporterFeedModel'
    errorModel:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        message:
          type: string
          description: Error message
        errors:
          type: array
          nullable: true
          items:
            type: object
            properties:
              location:
                type: string
              message:
                type: string
    rssImporterFeedModel:
      type: object
      properties:
        id:
          type: integer
        enabled:
          type: boolean
          description: Whether importing is enabled or disabled.
        feed_url:
          type: string
          description: URL of the RSS feed you want to import.
        feed_content_type:
          type: string
          enum:
            - xml
            - json
            - json/pugpig
          description: >-
            Type of content in the feed. Possible values include `xml`, `json`
            or `json/pugpig`.
        feed_headers:
          type: object
          description: >-
            Headers that you want to include in the HTTP request when fetching
            the RSS feed.
        import_interval:
          type: integer
          description: Number of minutes between each import of the RSS feed.
        extractor_enabled:
          type: boolean
          description: >-
            Whether or not the RSS importer should fetch the content from the
            page linked in the `map.source_url` property. Set to true if the RSS
            feed does not contain the content. In this case you can set
            `map.body` to `null`.
        map:
          type: object
          description: >-
            Object that contains mappings between the data in the RSS feed and
            the properties in the content object. Each property in the map
            object represents a property in the content object, and its value is
            a string that represents the name of the corresponding element in
            the RSS feed.
          properties:
            title:
              type: array
              items:
                type: string
              nullable: true
              description: >-
                Array of strings that represent the name of the element in the
                RSS feed that corresponds to the title of the feed item.
            body:
              type: array
              items:
                type: string
              nullable: true
              description: >-
                Array of strings that represent the name of the element in the
                RSS feed that corresponds to the content of the feed item. If
                extractor_enabled is true then the RSS importer will open the
                URL in the `map.source_url` and extract the content from the
                page.
            summary:
              type: array
              items:
                type: string
              nullable: true
              description: >-
                Array of strings that represent the name of the element in the
                RSS feed that corresponds to the summary of the feed item.
            source_id:
              type: string
              nullable: true
              description: >-
                String that represents the name of the element in the RSS feed
                that corresponds to the id of the feed item.
            source_url:
              type: string
              nullable: true
              description: >-
                String that represents the name of the element in the RSS feed
                that corresponds to the URL of the feed item.
            author:
              type: string
              nullable: true
              description: >-
                String that represents the name of the element in the RSS feed
                that corresponds to the author of the feed item.
            metadata:
              type: string
              nullable: true
              description: >-
                String that represents the name of the element in the RSS feed
                that corresponds to the metadata of the feed item.
            image_url:
              type: string
              nullable: true
              description: >-
                String that represents the name of the element in the RSS feed
                that corresponds to the image header of the feed item.
            publish_date:
              type: string
              nullable: true
              description: >-
                String that represents the name of the element in the RSS feed
                that corresponds to the pubDate of the feed item.
        last_import:
          type: string
          format: date-time
          description: Time at which the object was created (ISO 8601)
          nullable: true
        created:
          type: string
          format: date-time
          description: Time at which the object was created (ISO 8601)
        updated:
          type: string
          format: date-time
          description: Time at which the object was updated (ISO 8601)
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````